## wifi-p2p wifi-p2p — Wi-Fi P2P Settings |

## Properties

Table 77.

Key Name | Value Type | Default Value | Value Description
--- | --- | --- | ---
    peer
    string
| The P2P device that should be connected to. Currently, this is the only way to create or join a group.
    wfd-ies
    byte array
| The Wi-Fi Display (WFD) Information Elements (IEs) to set. Wi-Fi Display requires a protocol specific information element to be set in certain Wi-Fi frames. These can be specified here for the purpose of establishing a connection. This setting is only useful when implementing a Wi-Fi Display client.
    wps-method
    uint32
    0
| Flags indicating which mode of WPS is to be used. There's little point in changing the default setting as NetworkManager will automatically determine the best method to use.